import React from 'react';
import { ICrossEditorProps } from 'react-native-cross-components';
/**
 * Props for the {@link LoginForm} components.
 *
 * Required props include {@link onEmailChanged} and {@link onPasswordChanged}.
 *
 * Allows you to customize {@link initialEmail} / password as well as {@link emailInputProps}.
 */
export interface ILoginFormProps {
    onEmailChanged: (email: string | undefined) => void;
    initialEmail?: string | undefined;
    /**
     * Optional props for the e-mail input. Typically used to change the `label` prop.
     * See {@link ICrossEditorProps}
     */
    emailInputProps?: ICrossEditorProps | undefined;
    onPasswordChanged: (password: string | undefined) => void;
    initialPassword?: string | undefined;
    /**
     * Optional props for the password input. Typically used to change the `label` prop.
     * See {@link ICrossEditorProps}
     */
    passwordInputProps?: ICrossEditorProps | undefined;
}
/**
 * Allows the user to ender credentials and passes them back through prop events.
 *
 * Props are {@link ILoginFormProps}
 */
export declare class LoginForm extends React.Component<ILoginFormProps> {
    render(): JSX.Element;
}
export default LoginForm;
//# sourceMappingURL=LoginForm.d.ts.map