import React from 'react';
import { ICrossEditorProps } from 'react-native-cross-components';
import { ILoginFormProps } from '../../login/components/LoginForm';
/**
 * Props for the {@link RegisterForm} components. Extends {@link ILoginFormProps}
 *
 * Required props include {@link onEmailChanged}, {@link onPhoneChanged} and {@link onPasswordChanged}.
 *
 * Allows you to customize {@link initialEmail} / phone / password as well as {@link emailInputProps}.
 */
export interface IRegisterFormProps extends ILoginFormProps {
    onPhoneChanged: (password: string | undefined) => void;
    initialPhone?: string | undefined;
    /**
     * Optional props for the phone input. Typically used to change the `label` prop or change the `maskProps`.
     * See {@link ICrossEditorProps}
     */
    phoneInputProps?: ICrossEditorProps | undefined;
}
/**
 * Allows the user to enter user info and passes them back through prop events.
 *
 * Props are {@link IRegisterFormProps}
 */
export declare class RegisterForm extends React.Component<IRegisterFormProps> {
    render(): JSX.Element;
}
export default RegisterForm;
//# sourceMappingURL=RegisterForm.d.ts.map